package com.hzya.frame.sysnew.comparison.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 * @content 通用数据实体类
 * @Param 
 * @Return 
 * @Author hecan 
 * @Date 2024/5/7 15:50
 * **/
public class ComparisonEntity extends BaseEntity {
    private String contrastType;//对照类型
    private String documentRule;//单据规则
    private Long documentRuleNum;//单据规则流水号

    private String mdmName;//主数据名称
    private String mdmCode;//主数据编码
    private String dbName;//表名
    private String dbType;//类型 1、主表 2、明细
    private String enName;//字段名 英文
    private String chName;// 字段名 中文
    private String filedType;//字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME

    private Map<String,Object> map;
    private ComparisonDetailsEntity comparisonDetailsEntity;
    private String formmainId;//上级id

    private String rulePrefix;//规则前缀 CK-yyyyMMdd-0001中的CK
    private String ruleMiddle;//规则中间 CK-yyyyMMdd-0001中的yyyyMMdd
    private int ruleSuffix;//规则后缀 CK-yyyyMMdd-0001中的0001

    private String mId;//mdm_module的id
    private String dbId;//mdm_module_db的id

    private String addType;//显示类型：新增
    private String updateType;//显示类型：修改
    private String showType;//显示类型：查看
    private String queryType;//显示类型：查询
    private String listType;//显示类型：列表
    private String viewType;//显示类型：显示

    private String dataId;//第三方主键id
    private String ruleCode;//规则编码required  判断字段是否是必填
    private String ruleValue;//规则值 true/false 判断字段是否是必填
    private String filedId;//mdm_module_db_fileds_rule的id
    //小写字段
    private List<String> fields;
    private List<String> returnField;

    /**  显示类型 1、树2、列表*/
    private String viewName;
    //下级结构树
    private List<ComparisonEntity> comparisonEntities;

    public List<ComparisonEntity> getComparisonEntities() {
        return comparisonEntities;
    }

    public void setComparisonEntities(List<ComparisonEntity> comparisonEntities) {
        this.comparisonEntities = comparisonEntities;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public List<String> getReturnField() {
        return returnField;
    }

    public void setReturnField(List<String> returnField) {
        this.returnField = returnField;
    }

    public List<String> getFields() {
        return fields;
    }

    public void setFields(List<String> fields) {
        this.fields = fields;
    }

    public String getFiledId() {
        return filedId;
    }

    public void setFiledId(String filedId) {
        this.filedId = filedId;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getAddType() {
        return addType;
    }

    public void setAddType(String addType) {
        this.addType = addType;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }

    public String getQueryType() {
        return queryType;
    }

    public void setQueryType(String queryType) {
        this.queryType = queryType;
    }

    public String getListType() {
        return listType;
    }

    public void setListType(String listType) {
        this.listType = listType;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getRuleMiddle() {
        return ruleMiddle;
    }

    public void setRuleMiddle(String ruleMiddle) {
        this.ruleMiddle = ruleMiddle;
    }

    public int getRuleSuffix() {
        return ruleSuffix;
    }

    public void setRuleSuffix(int ruleSuffix) {
        this.ruleSuffix = ruleSuffix;
    }

    public String getmId() {
        return mId;
    }

    public void setmId(String mId) {
        this.mId = mId;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    private List<ComparisonDetailsEntity> comparisonDetailsEntityList;

    public List<ComparisonDetailsEntity> getComparisonDetailsEntityList() {
        return comparisonDetailsEntityList;
    }

    public void setComparisonDetailsEntityList(List<ComparisonDetailsEntity> comparisonDetailsEntityList) {
        this.comparisonDetailsEntityList = comparisonDetailsEntityList;
    }

    public String getContrastType() {
        return contrastType;
    }

    public void setContrastType(String contrastType) {
        this.contrastType = contrastType;
    }

    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Long getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Long documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getMdmName() {
        return mdmName;
    }

    public void setMdmName(String mdmName) {
        this.mdmName = mdmName;
    }

    public String getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(String mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public Map<String, Object> getMap() {
        return map;
    }

    public void setMap(Map<String, Object> map) {
        this.map = map;
    }

    public ComparisonDetailsEntity getComparisonDetailsEntity() {
        return comparisonDetailsEntity;
    }

    public void setComparisonDetailsEntity(ComparisonDetailsEntity comparisonDetailsEntity) {
        this.comparisonDetailsEntity = comparisonDetailsEntity;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getRulePrefix() {
        return rulePrefix;
    }

    public void setRulePrefix(String rulePrefix) {
        this.rulePrefix = rulePrefix;
    }
}
